Agara

Advance wallet setup

POST/trade/v1/wallet/setup

Authorization

privy_identity_token
AuthorizationBearer <token>

Privy identity token from a live browser session. Issued by the web app's Privy SDK; not obtainable via API. Used by operations that require a fresh browser session.

In: header

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/trade/v1/wallet/setup"
{  "wallets": [    {      "action": "string",      "failure": {        "code": "account_frozen",        "detail": "string",        "recovery": {          "strategy": "none"        },        "title": "string"      },      "wallet": {        "deposit_wallet_address": "string",        "deposit_wallet_deployed": true,        "engine_id": 0,        "eoa_address": "string",        "exchange": "AGARA",        "failure": {          "code": "account_frozen",          "detail": "string",          "recovery": {            "strategy": "none"          },          "title": "string"        },        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "source_id": "string",        "status": "string"      }    }  ]}